LINUX.ORG.RU

Mesh


1

0

Всего сообщений: 13

TP-LINK блокировал возможность установки альтернативных прошивок

Группа Hardware and Drivers

Разработчики Mesh-сети MetaMesh, использующие беспроводные маршрутизаторы TP-LINK, получили подтверждение у службы поддержки о реализации блокировки загрузчика в очередном обновлении прошивки, которая не позволяет откатиться на прошлую прошивку или установить альтернативную прошивку.

Изменения внесены для приведения устройств в соответствие с новыми требованиями Федеральной комиссии по связи США (FCC), в соответствии с которыми пользователь не должен иметь возможности изменения параметров беспроводного адаптера, влияющих на формирование сигнала.

Самым простым способом соблюдения данного требования является запрет на модификацию или установку сторонних прошивок через проверку загружаемого образа. Предварительное изучение новой прошивки показало что TP-LINK не использует полноценный механизм верификации по цифровой подписи, а лишь проверяет некоторые поля в заголовке прошивки.

В настоящее время ограничения уже введены для моделей Archer C7 V2, Archer C1900 V1, Touch P5 V1, Archer C2600 V1, Archer C3200 V1, Archer C2 V1, Archer C5 V2, Archer C8 V1, Archer C9 V1, TL-WR841N V11, TL-WDR3500 V1, TL-WDR3600, TL-WR940N V3.0, TL- WR1043ND V3.0, TL-WR710N(USA) и TL- WR841N V9.0, но в будущем блокировка также будет реализована и во всех других ещё выпускаемых моделях беспроводных маршрутизаторов TP-LINK.

>>> OpenNet

 , ,

anonymous ()

Еще новости

2014

2012

Форум

Июль 2016

Сентябрь 2015

2015

2014

2013

2012